The global status of the communication module: nok (1), -- the module is in a Nok state ok (2) -- the module is in an ok state
Sources for this description
Schneider Electric Transparent Factory official MIB
OID reference
1.3.6.1.4.1.3833.1.7.4
The global status of the communication module: nok (1), -- the module is in a Nok state ok (2) -- the module is in an ok state
Identification
{1 3 6 1 4 1 3833 1 7 4}
Definitions may combine these properties differently.
Numbers refer to source variants above. Each value is shown only for variants that define it. Notes below names come from selected MIB definitions.
| Value | Name and source notes | Source variants |
|---|---|---|
| 1 | nok the module is in a Nok state | 1, 2 |
| 2 | ok the module is in an ok state | 1, 2 |
At least one MIB declaration places this object in a scalar group. A scalar instance uses the suffix .0.
snmpget [connection options] DEVICE .1.3.6.1.4.1.3833.1.7.4.0
Replace the placeholders with your connection and authentication options. Available permissions and device support can differ from the MIB.
Properties come from available MIB definitions. Actual device support and access can differ. See source records below for original files and qualifications.
Available source records contain 2 distinct definitions; some records may not include a definition.
profileGlobalStatus OBJECT-TYPE
SYNTAX INTEGER {
nok (1), -- the module is in a Nok state
ok (2) -- the module is in an ok state
}
MAX-ACCESS read-only
STATUS current
DESCRIPTION
"The global status of the communication module:
nok (1), -- the module is in a Nok state
ok (2) -- the module is in an ok state
"
::= { equipmentProfile 4 }profileGlobalStatus OBJECT-TYPE
SYNTAX INTEGER {
nok (1), -- the module is in a Nok state
ok (2) -- the module is in an ok state
}
ACCESS read-only
STATUS mandatory
DESCRIPTION
"The global status of the communication module:
nok (1), -- the module is in a Nok state
ok (2) -- the module is in an ok state
"
::= { equipmentProfile 4 }
Meaning
Identical descriptions are grouped. Different wording and device-specific notes are retained.
The global status of the communication module: nok (1), -- the module is in a Nok state ok (2) -- the module is in an ok state
Schneider Electric Transparent Factory official MIB
Evidence
Matching descriptions are grouped; open a group to compare definitions and supporting files.
Status in source: current.
Names: profileGlobalStatus
{
"smi_kind": "OBJECT-TYPE",
"definition": [
"profileGlobalStatus",
"OBJECT-TYPE",
"SYNTAX",
"INTEGER",
"{",
"nok",
"(",
"1",
")",
",",
"ok",
"(",
"2",
")",
"}",
"MAX-ACCESS",
"read-only",
"STATUS",
"current",
"DESCRIPTION",
"\"The global status of the communication module: nok (1), -- the module is in a Nok state ok (2) -- the module is in an ok state \"",
"::=",
"{",
"equipmentProfile",
"4",
"}"
],
"syntax_tree": [
[
"SimpleSyntax",
"INTEGER",
[
"enumSpec",
[
[
"nok",
1
],
[
"ok",
2
]
]
]
],
null,
[
"MaxAccessPart",
"read-only"
],
[
"Status",
"current"
],
[
"DESCRIPTION",
"The global status of the communication module: nok (1), -- the module is in a Nok state ok (2) -- the module is in an ok state"
],
null,
null,
null,
null
]
}Module: TFPRIVATE-MIB
See published definition above
{'SNMPv2-TC': ['PhysAddress', 'DisplayString'], 'SNMPv2-SMI': ['MODULE-IDENTITY', 'OBJECT-TYPE', 'OBJECT-IDENTITY', 'NOTIFICATION-TYPE', 'enterprises', 'IpAddress', 'Integer32', 'Counter32']}Source data warning: Official Schneider Electric MIB distributed in the M580 support package. The package contains distinct historical editions; applicability to a specific device or firmware is not established by this file alone.
· Download Schneider Electric SchneiderTFE_V03.01.mib — M580 support packageRelated source files and packages:
Status in source: mandatory.
Names: profileGlobalStatus
{
"smi_kind": "OBJECT-TYPE",
"definition": [
"profileGlobalStatus",
"OBJECT-TYPE",
"SYNTAX",
"INTEGER",
"{",
"nok",
"(",
"1",
")",
",",
"ok",
"(",
"2",
")",
"}",
"ACCESS",
"read-only",
"STATUS",
"mandatory",
"DESCRIPTION",
"\"The global status of the communication module: nok (1), -- the module is in a Nok state ok (2) -- the module is in an ok state \"",
"::=",
"{",
"equipmentProfile",
"4",
"}"
],
"syntax_tree": [
[
"SimpleSyntax",
"INTEGER",
[
"enumSpec",
[
[
"nok",
1
],
[
"ok",
2
]
]
]
],
null,
[
"MaxAccessPart",
"read-only"
],
[
"Status",
"mandatory"
],
[
"DESCRIPTION",
"The global status of the communication module: nok (1), -- the module is in a Nok state ok (2) -- the module is in an ok state"
],
null,
null,
null,
null
]
}Module: TFPRIVATE-MIB
See published definition above
{'IF-MIB': ['ifIndex'], 'RFC-1212': ['OBJECT-TYPE'], 'RFC-1215': ['TRAP-TYPE'], 'BRIDGE-MIB': ['BridgeId', 'dot1dStaticAddress'], 'RFC1155-SMI': ['IpAddress', 'Counter', 'TimeTicks', 'enterprises'], 'RFC1213-MIB': ['DisplayString', 'PhysAddress', 'mib-2'], 'Q-BRIDGE-MIB': ['VlanIndex', 'dot1qVlanIndex', 'dot1qFdbId'], 'IANAifType-MIB': ['IANAifType']}Source data warning: Official Schneider Electric MIB distributed in the M580 support package. The package contains distinct historical editions; applicability to a specific device or firmware is not established by this file alone.
· Download Schneider Electric SchneiderTFE-V01-04.mib — M580 support packageRegistration
| OID | Name | Direct children | Descendants | Description |
|---|---|---|---|---|
| 1.3.6.1.4.1.3833.1.7.0 | equipmentProfileV2 | 1 | 1 | |
| 1.3.6.1.4.1.3833.1.7.1 | profileProductName | 0 | 0 | |
| 1.3.6.1.4.1.3833.1.7.2 | profileVersion | 0 | 0 | |
| 1.3.6.1.4.1.3833.1.7.3 | profileCommunicationServices | 0 | 0 | |
| 1.3.6.1.4.1.3833.1.7.5 | profileIpConfigMode | 0 | 0 | |
| 1.3.6.1.4.1.3833.1.7.6 | profileRoleName | 0 | 0 | |
| 1.3.6.1.4.1.3833.1.7.7 | profileBandwidthMgt | 0 | 0 | |
| 1.3.6.1.4.1.3833.1.7.8 | profileBandwidthDistTable | 1 | 6 | |
| 1.3.6.1.4.1.3833.1.7.9 | profileLedDisplayTable | 1 | 5 | |
| 1.3.6.1.4.1.3833.1.7.10 | profileSlot | 0 | 0 | |
| 1.3.6.1.4.1.3833.1.7.11 | profileCPUType | 0 | 0 | |
| 1.3.6.1.4.1.3833.1.7.12 | profileTrapTableEntriesMax | 0 | 0 | |
| 1.3.6.1.4.1.3833.1.7.13 | profileTrapTable | 1 | 12 | |
| 1.3.6.1.4.1.3833.1.7.14 | profileSpecificId | 0 | 0 | |
| 1.3.6.1.4.1.3833.1.7.15 | profileIpAddress | 0 | 0 | |
| 1.3.6.1.4.1.3833.1.7.16 | profileIpNetMask | 0 | 0 | |
| 1.3.6.1.4.1.3833.1.7.17 | profileIpGateway | 0 | 0 | |
| 1.3.6.1.4.1.3833.1.7.18 | profileMacAddress | 0 | 0 | |
| 1.3.6.1.4.1.3833.1.7.19 | profileImplementationClass | 0 | 0 | |
| 1.3.6.1.4.1.3833.1.7.100 | premiumProfile | 0 | 0 | |
| 1.3.6.1.4.1.3833.1.7.101 | quantumProfile | 1 | 2 | |
| 1.3.6.1.4.1.3833.1.7.102 | microProfile | 1 | 9 | |
| 1.3.6.1.4.1.3833.1.7.103 | momentumIoProfile | 8 | 20 | |
| 1.3.6.1.4.1.3833.1.7.104 | momentumM1eProfile | 0 | 0 | |
| 1.3.6.1.4.1.3833.1.7.105 | advantysProfile | 0 | 0 | |
| 1.3.6.1.4.1.3833.1.7.106 | gatewayProfile | 0 | 0 | |
| 1.3.6.1.4.1.3833.1.7.107 | modiconM340Profile | 0 | 0 | |
| 1.3.6.1.4.1.3833.1.7.255 | tfProducts | 59 | 200 |